Subject: Re: New Question:
From: [email-masked] (Kermit Tensmeyer)

26 Sep 1997 11:30:16 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Sergey Okhapkin wrote:
> 
> Kermit Tensmeyer wrote:
> >  I found the source of the library as libwsock32.a, so I added
> > -lwsock32.a. No complaints from gcc, so i assume that it found
> >  the directory and the file. But it still complains that _rexec
> >  and _recv are not found in the link.
> 
> Include <sys/socket.h> to your sourses. Rexec is not implemented.

  No.   Nice guess, but wrong.

 sys/socket.h documents something else.

 I understand that the executible Rexec (1) is _not_ implmented.
 However the library libwsock32.a contains the library functions
 rexec (3), recv (3)

 I will include a list of all entry points found in this library.
 the include file should also have prototypes for public functions,
 but not necessarly for the private functions.

  for details  use nm on the library libwsock32.a

 (of course if you want the symbols for other libraries you
  can use the same tool.  see the documents on nm.)

libwsock32.a	_socket
libwsock32.a	_shutdown
libwsock32.a	_setsockopt
libwsock32.a	_sethostname
libwsock32.a	_sendto
libwsock32.a	_send
libwsock32.a	_select
libwsock32.a	_s_perror
libwsock32.a	_rresvport
libwsock32.a	_rexec
libwsock32.a	_recvfrom
libwsock32.a	_recv
libwsock32.a	_rcmd
libwsock32.a	_ntohs
libwsock32.a	_ntohl
libwsock32.a	_listen
libwsock32.a	_ioctlsocket
libwsock32.a	_inet_ntoa
libwsock32.a	_inet_network
libwsock32.a	_inet_addr
libwsock32.a	_htons
libwsock32.a	_htonl
libwsock32.a	_getsockopt
libwsock32.a	_getsockname
libwsock32.a	_getservbyport
libwsock32.a	_getservbyname
libwsock32.a	_getprotobynumber
libwsock32.a	_getprotobyname
libwsock32.a	_getpeername
libwsock32.a	_getnetbyname
libwsock32.a	_gethostname
libwsock32.a	_gethostbyname
libwsock32.a	_gethostbyaddr
libwsock32.a	_dn_expand
libwsock32.a	_connect
libwsock32.a	_closesocket
libwsock32.a	_bind
libwsock32.a	_accept
libwsock32.a	___WSAFDIsSet
libwsock32.a	_WSApSetPostRoutine
libwsock32.a	_WSAUnhookBlockingHook
libwsock32.a	_WSAStartup
libwsock32.a	_WSASetLastError
libwsock32.a	_WSASetBlockingHook
libwsock32.a	_WSARecvEx
libwsock32.a	_WSAIsBlocking
libwsock32.a	_WSAGetLastError
libwsock32.a	_WSACleanup
libwsock32.a	_WSACancelBlockingCall
libwsock32.a	_WSACancelAsyncRequest
libwsock32.a	_WSAAsyncSelect
libwsock32.a	_WSAAsyncGetServByPort
libwsock32.a	_WSAAsyncGetServByName
libwsock32.a	_WSAAsyncGetProtoByNumber
libwsock32.a	_WSAAsyncGetProtoByName
libwsock32.a	_WSAAsyncGetHostByName
libwsock32.a	_WSAAsyncGetHostByAddr
libwsock32.a	_WEP
libwsock32.a	_TransmitFile
libwsock32.a	_SetServiceW
libwsock32.a	_SetServiceA
libwsock32.a	_NPLoadNameSpaces
libwsock32.a	_GetTypeByNameW
libwsock32.a	_GetTypeByNameA
libwsock32.a	_GetServiceW
libwsock32.a	_GetServiceA
libwsock32.a	_GetNameByTypeW
libwsock32.a	_GetNameByTypeA
libwsock32.a	_GetAddressByNameW
libwsock32.a	_GetAddressByNameA
libwsock32.a	_EnumProtocolsW
libwsock32.a	_EnumProtocolsA

-- 
-------
  Kermit Tensmeyer    (E & T - Networking)
  [email-masked]     Dallas
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".